﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=9.5
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: True
#End Region

Sub Process_Globals
	Private fm As FirebaseMessaging
End Sub

Sub Service_Create
	fm.Initialize("fm")
	Log("fm.isinitialised:"&fm.IsInitialized)
End Sub

Public Sub SubscribeToTopics
	fm.SubscribeToTopic("ios_partner"&Starter.SupplierID) 'you can subscribe to more topics
	Log("Firebase Messaging subscribed to partner"&Starter.SupplierID)
	fm.SubscribeToTopic("ios_site"&Starter.SiteID) 'you can subscribe to more topics
	Log("Firebase Messaging subscribed to site"&Starter.SiteID)
End Sub

Sub Service_Start (StartingIntent As Intent)
	If StartingIntent.IsInitialized Then fm.HandleIntent(StartingIntent)
	Sleep(0)
	Service.StopAutomaticForeground 'remove if not using B4A v8+.
End Sub

Sub fm_MessageArrived (Message As RemoteMessage)
	Log($"Message data: ${Message.GetData}"$)
	Dim n As Notification
	n.Initialize2(n.IMPORTANCE_HIGH)
	n.Icon = "icon"
	n.SetInfo(Message.GetData.Get("title"), Message.GetData.Get("body"), Main)
	n.Notify(1)
End Sub

Sub Service_Destroy

End Sub
